## dvdemux dvdemux |

## Types and Values

struct | GstDVDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstDVDemux

## Description

dvdemux splits raw DV into its audio and video components. The audio will be decoded raw samples and the video will be encoded DV video.

This element can operate in both push and pull mode depending on the capabilities of the upstream peer.

### Example launch line

    1
    gst-launch-1.0 filesrc location=test.dv ! dvdemux name=demux ! queue ! audioconvert ! alsasink demux. ! queue ! dvdec ! xvimagesink

This pipeline decodes and renders the raw DV stream to an audio and a videosink.

## Synopsis

### Element Information

plugin | dv
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-dv, systemstream=(boolean)true

name | audio
direction | source
presence | sometimes
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 32000, 44100, 48000 }, channels=(int){ 2, 4 }

name | video
direction | source
presence | sometimes
details | video/x-dv, systemstream=(boolean)false

## Functions

## Types and Values

### struct GstDVDemux

    struct GstDVDemux;